%global momorel 1

Summary:        User configurable relay-only Mail Transfer Agent (MTA)
Summary(de):    Benutzerkonfigurierbarer nur versendender Mail Transfer Agent (MTA)
Name:           esmtp
Version:        0.5.1
Release:        %{momorel}m%{?dist}
Source:         http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Source1:        esmtp-0.4.1-mutt
Url:            http://esmtp.sourceforge.net/
License:        GPL
Group:          Applications/Internet
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

#Requires(post): %{_sbindir}/alternatives
Requires(post): chkconfig
BuildRequires:  libesmtp-devel
#Provides:       %{_sbindir}/sendmail
Provides:       sendmail
# esmtp doesn't listen on port 25, so it cannot provide smtpdaemon. 
# This implies that any program requiring a program that sends mail
# should rely on another package that esmtp to fulfill the dependencies.
#Provides:       smtpdaemon

%description
ESMTP is a user configurable relay-only Mail Transfer Agent (MTA) with a
sendmail-compatible syntax. It's based on libESMTP supporting the AUTH
(including the CRAM-MD5 and NTLM SASL mechanisms) and the StartTLS SMTP
extensions.

So these are ESMTP features:
 * requires no administration privileges
 * individual user configuration
 * sendmail command line compatible
 * supports the AUTH SMTP extension, with the CRAM-MD5 and NTLM SASL
   mechanisms
 * support the StartTLS SMTP extension
 * does not receive mail, expand aliases or manage a queue

%prep
%setup -q
cp %{SOURCE1} mutt-esmtp
for file in esmtp.1 esmtprc.5; do
   iconv -f ISO8859-1 -t UTF8 < $file > $file.new && mv -f $file.new $file
done

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
# remove all the sendmail alternative installed, it is done in %post
rm %{buildroot}/%{_bindir}/mailq \
   %{buildroot}/%{_bindir}/newaliases \
   %{buildroot}/%{_libdir}/sendmail \
   %{buildroot}/%{_sbindir}/sendmail \
   %{buildroot}/%{_mandir}/man1/mailq.1 \
   %{buildroot}/%{_mandir}/man1/newaliases.1 \
   %{buildroot}/%{_mandir}/man1/sendmail.1


%post
%{_sbindir}/alternatives --install %{_sbindir}/sendmail mta %{_bindir}/esmtp 30 \
  --slave %{_bindir}/mailq mta-mailq %{_bindir}/esmtp \
  --slave %{_bindir}/newaliases mta-newaliases %{_bindir}/esmtp \
  --slave %{_prefix}/lib/sendmail mta-sendmail %{_bindir}/esmtp \
  --slave %{_mandir}/man1/mailq.1.bz2 mta-mailqman %{_mandir}/man1/esmtp.1.bz2 \
  --slave %{_mandir}/man1/newaliases.1.bz2 mta-newaliasesman %{_mandir}/man1/esmtp.1.bz2 \
  --slave %{_mandir}/man8/sendmail.8.bz2 mta-sendmailman %{_mandir}/man1/esmtp.1.bz2 \

%preun
if [ "$1" = 0 ]; then
   %{_sbindir}/alternatives --remove mta %{_bindir}/esmtp
fi

%clean
rm -rf %{buildroot}

#%files -f %{name}.lang
%files
%defattr(-,root,root,-)
%doc AUTHORS README TODO ChangeLog sample.esmtprc mutt-esmtp
%{_bindir}/esmtp
%{_mandir}/man[^3]/esmtp*

%changelog
* Sat Jul  7 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.1-1m)
- import from f7 to Momonga
- use %%{buildroot}
- care about man/alternatives suffix (.gz -> .bz2)

* Mon Sep 11 2006 Patrice Dumas <pertusus@free.fr> 0.5.1-13
- rebuild for FC6

* Thu Jun 22 2006 Patrice Dumas <pertusus@free.fr> 0.5.1-12
- provide an alternative for /usr/lib/sendmail even if %%_lib isn't lib
  fix 196277

* Thu Feb 16 2006 Patrice Dumas <pertusus@free.fr> 0.5.1-11
- rebuild for fc5

* Sun Jan  8 2006 Patrice Dumas <pertusus@free.fr> 0.5.1-10
- convert man pages to utf8 (Dmitry Butskoy report)

* Wed Nov 16 2005 Patrice Dumas <pertusus@free.fr> 0.5.1-9
- remove the workaround for libesmtp not requiring openssl (#166844 closed)

* Sun Nov 13 2005 Patrice Dumas <pertusus@free.fr> 0.5.1-8
- rebuild against new openssl

* Mon Aug 29 2005 Patrice Dumas <pertusus@free.fr> 0.5.1-7
- uncomment german translation

* Fri Aug 26 2005 Patrice Dumas <pertusus@free.fr> 0.5.1-6
- add temporarily a BuildRequires: openssl-devel to workaround missing 
  Requires: of libesmtp-devel (#166844)

* Fri Aug 26 2005 Patrice Dumas <pertusus@free.fr> 0.5.1-5
- comment out german translation
- cleanups (thanks Aurelien Bompard)

* Sat Mar 12 2004 Patrice Dumas <pertusus@free.fr> 0.5.1-2
- Use alternatives

* Sat Mar 12 2004 Patrice Dumas <pertusus@free.fr> 0.5.1-1
- Use fedora-newrpmspec to update the spec file
- Package sendmail replacements

* Sat Nov 15 2003 Robert Scheck <esmtp@robert-scheck.de> 0.5.0-1
- Update to 0.5.0
- Added german description and summary

* Mon Oct 27 2003 Robert Scheck <esmtp@robert-scheck.de> 0.4.1-1
- Update to 0.4.1
- Initial Release for Red Hat Linux
